[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TSimpleRWSync.Endread

Release the read lock

## Declaration

Source position: systhrdh.inc line 36

`public procedure TSimpleRWSync.Endread;`

## Description

EndRead releases the current threads read lock on the object, allowing other threads to acquire a read or write lock on the object.

## See also

TSimpleRWSync.BeginRead |  | Acquire a read lock
TSimpleRWSync.EndWrite |  | Release the write lock